Page MenuHomePhabricator

Create a help page for 'Downloading user data' (with privacy email)
Closed, ResolvedPublic

Description

We will provide a Help page for the User Data download described in T208636. There are two sections to this help page: 'About the user data download' and 'For Wikimedia wikis only'

'About the user data download' section

This section is for all wikis that use Mediawiki software. It includes:

  • A list of the information in the download.
  • Possibly some information about why the download is a JSON file and what users can do with it.
  • Possibly some information about what's not in the report and why.

'For Wikimedia wikis only' section

The main purpose of this section is to provide an email address/link for people who want to to pursue further privacy questions. This section will include three elements: an Intro, a link, and instructions.

  • Intro: We need to make clear that this section of the Help document pertains to Wikimedia wikis only. Something like this:
    • Header: Wikimedia wikis only
    • Intro text: This section applies only to wikis hosted by the Wikimedia Foundation—e.g., WIkipedias, Wikctionary, Wikivoyage, Wikidata, WikiBooks and related projects. Users of third-party wikis should contact their system administrators.
  • Link: to privacy{{@}}wikimedia.org
  • Instructions: What exactly the people answering the email are offering to do is not clear just yet. @kaldari will work this out in collaboration with Legal.

Event Timeline

jmatazzoni renamed this task from Create a help page for ' (with privacy email) to Create a help page for 'Downloading user data' (with privacy email).Nov 20 2018, 9:56 PM
jmatazzoni assigned this task to kaldari.
jmatazzoni updated the task description. (Show Details)
Framawiki updated the task description. (Show Details)Dec 2 2018, 10:03 AM

@jmatazzoni Is this ticket still relevant? With Ryan on a sabbatical, it might make sense to assign this to someone else.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptApr 2 2019, 10:12 PM

A prerequisite, T208636, was just +2ed.

@kaldari does the page exist yet? Let me know when I can look it over. Thanks.

@jmatazzoni - I added some new documentation at https://www.mediawiki.org/wiki/API:Userinfo. I still need to write up an email for Leighanna and Trust and Safety.

In T210007#5112599, @kaldari wrote:

@jmatazzoni - I added some new documentation at https://www.mediawiki.org/wiki/API:Userinfo. I still need to write up an email for Leighanna and Trust and Safety.

I added the link to the privacy email in the See Also section. If you want to do that someplace else, feel free to move.

So, can I add this page to the Project page yet and declare this project done? Or do you still need to work on the documentation more?

jmatazzoni closed this task as Resolved.Apr 16 2019, 11:23 PM
jmatazzoni moved this task from In Development to Done on the Community-Tech-Sprint board.